; Sample stunnel configuration file by Michal Trojnara 2002-2009
;
; some options used here may not be adequate for your particular configuration
; please read the manual and make sure you understand them

; certificate/key is needed in server mode and optional in client mode
cert = /home/thyagu/usr/stunnel/etc/stunnel/stunnel.pem
;key = /home/thyagu/usr/stunnel/etc/stunnel/mail.pem

; protocol version (all, SSLv2, SSLv3, TLSv1)
sslVersion = all

; security enhancements for UNIX systems - comment them out on Win32
; for chroot a copy of some devices and files is needed within the jail
;chroot = /home/thyagu/usr/stunnel/var/lib/stunnel/
chroot = /
setuid = root
setgid = root
; PID is created inside the chroot jail
pid = /stunnel.pid


; performance tunings
socket = l:TCP_NODELAY=1
socket = r:TCP_NODELAY=1 
;compression = zlib

; workaround for Eudora bug
;options = DONT_INSERT_EMPTY_FRAGMENTS

; authentication stuff needs to be configured to prevent MITM attacks
; it is not enabled by default!
;verify = 2
; don't forget to c_rehash CApath
; CApath is located inside chroot jail
;CApath = /certs
; it's often easier to use CAfile
;CAfile = /home/thyagu/usr/stunnel/etc/stunnel/cacert.pem
; don't forget to c_rehash CRLpath
; CRLpath is located inside chroot jail
;CRLpath = /crls
; alternatively CRLfile can be used
;CRLfile = /home/thyagu/usr/stunnel/etc/stunnel/crls.pem

; debugging stuff (may useful for troubleshooting)
debug = 7
output = stunnel.log

; SSL client mode
;client = yes

; service-level configuration

[telnets]
accept = 222
connect = 23 
libwrap=yes
;exec = /usr/sbin/telnetd
;execargs = telnetd
;-N telnets -r telnetd 
;connect = -l /bin/login telnet

;[pop3s]
;accept  = 995
;connect = 110

;[imaps]
;accept  = 993
;connect = 143
;libwrap = yes

;[ssmtp]
;accept  = 465
;connect = 25

;[https]
;accept  = 443
;connect = 80
;TIMEOUTclose = 0

; vim:ft=dosini
